Skip to main content
GET
/
connect
/
v1
/
operators
/
{operatorId}
/
usage
Get operator usage
curl --request GET \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/usage \
  --header 'Authorization: Bearer <token>'
{
  "operatorId": "<string>",
  "totalRequests": 123,
  "totalErrors": 123,
  "byEndpoint": [
    {
      "endpoint": "<string>",
      "method": "<string>",
      "count": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

Query Parameters

from
string<date-time>
to
string<date-time>
connectionId
string
grantId
string

Response

200 - application/json

Usage summary.

operatorId
string
required
totalRequests
integer
required
totalErrors
integer
required
byEndpoint
object[]